import 'package:flutter/material.dart';

class ErrorView extends StatelessWidget {
  final IconData icon;
  final String text;
  const ErrorView({Key? key, this.icon = Icons.report_gmailerrorred, this.text = "Es ist ein Fehler aufgetreten!"}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        margin: const EdgeInsets.only(top: 100, left: 20, right: 20),
        child: Column(
          children: [
            Container(
              margin: const EdgeInsets.all(30),
              child: Icon(icon, color: Colors.grey, size: 60),
            ),
            Text(text,
              style: const TextStyle(
                fontSize: 20,
                color: Colors.grey,
              ),
              textAlign: TextAlign.center,
            ),
          ],
        ),
      ),
    );
  }
}
