import 'package:json_annotation/json_annotation.dart';

import '../../../../apiResponse.dart';
import 'cacheableFile.dart';

part 'listFilesResponse.g.dart';

@JsonSerializable(explicitToJson: true)
class ListFilesResponse extends ApiResponse {
    Set<CacheableFile> files;

    ListFilesResponse(this.files);

    factory ListFilesResponse.fromJson(Map<String, dynamic> json) => _$ListFilesResponseFromJson(json);
    Map<String, dynamic> toJson() => _$ListFilesResponseToJson(this);
}