import 'dart:convert';

import 'package:http/http.dart' as http;

import '../messageApi.dart';
import 'getMessagesResponse.dart';

class GetMessages extends MessageApi<GetMessagesResponse> {

  @override
  GetMessagesResponse assemble(String raw) {
    return GetMessagesResponse.fromJson(jsonDecode(raw));
  }

  @override
  Future<http.Response> request(Uri uri) {
    return http.get(uri);
  }
}